com.smartgwt.client.types

## Enum SelectedAppearance

- java.lang.Object
- - java.lang.Enum<SelectedAppearance>
  - - com.smartgwt.client.types.SelectedAppearance

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<SelectedAppearance>

      public enum SelectedAppearance
      extends java.lang.Enum<SelectedAppearance>
      implements ValueEnum

  Appearance when a component is in `edit mode` and is selected.

  Modes such as "tintMask" or "outlineMask" create an `"edit mask"` that is layered over the selected component, and blocks all normal interaction with the component, so that behaviors like `supportsInlineEdit` can completely take the place of the component's normal interactivity.

  "outlineEdges" mode allows normal interaction with the component, which allows the end user to do things like `freeze ListGrid fields`, which the `GridEditProxy` can implement as a ${isc.DocUtils.linkForRef('attr:GridEditProxy.saveFieldFrozenState','persistent change to grid\'s configuration')}.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE` no change in appearance.
    `OUTLINEEDGES` MultiAutoChild is created on top of the component.
    `OUTLINEMASK` editMask on top of the component is updated with `selectedBorder`
    `TINTMASK` editMask on top of the component is updated with `selectedTintColor` and `selectedTintOpacity`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static SelectedAppearance` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SelectedAppearance[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TINTMASK

          public static final SelectedAppearance TINTMASK

      editMask on top of the component is updated with `selectedTintColor` and `selectedTintOpacity`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "tintMask".

    - #### OUTLINEMASK

          public static final SelectedAppearance OUTLINEMASK

      editMask on top of the component is updated with `selectedBorder`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "outlineMask".

    - #### OUTLINEEDGES

          public static final SelectedAppearance OUTLINEEDGES

      MultiAutoChild is created on top of the component. This constructs a border around the component using 4 separate `outlineEdge` components so that interactivity is not blocked.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "outlineEdges".

    - #### NONE

          public static final SelectedAppearance NONE

      no change in appearance. Override `EditProxy.showSelectedAppearance()` to create a custom appearance.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

  - ### Method Detail

    - #### values

          public static SelectedAppearance[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SelectedAppearance c : SelectedAppearance.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SelectedAppearance valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`